Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 164267 - cat < /dev/ttyS0 gives no output
Summary: cat < /dev/ttyS0 gives no output
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-26 13:55 UTC by Rueh Hänä
Modified: 2015-01-04 22:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-26 21:44:48 UTC
Type: ---


Attachments (Terms of Use)

Description Rueh Hänä 2005-07-26 13:55:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Hi there

None of the components listed, have to do with my problem, so far i think. 

I have two FC4 Servers with same configuration. They should communicate over a serial cable, that is plugged into /dev/ttyS0. 

If i do host A:

echo "sometext" > /dev/ttyS0

i should receive the text on Host B with

cat < /dev/ttyS0

But there is no text. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
HOST A
echo "sometext" > /dev/ttyS0

HOST B
cat < /dev/ttyS0

Actual Results:  Nothing

Expected Results:  The text should have reached the other Host (B)

Additional info:

Both Servers are HP ProLiant DL120's with 2.4Ghz CPU, 1GB Memory

Comment 1 Jack Aboutboul 2005-07-26 14:14:14 UTC
This is a kernel issue. Changed component for now, should resolve later today
after I confirm a few things.

Comment 2 Dave Jones 2005-08-26 21:44:48 UTC
This works fine here with the current kernel.

Check your cabling, and be sure you've actually plugged it into ttyS0.
It sounds like a hardware problem to me.



Note You need to log in before you can comment on or make changes to this bug.